aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcross-x86.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/cross-x86.sh b/cross-x86.sh
index 16d45d6..87678ef 100755
--- a/cross-x86.sh
+++ b/cross-x86.sh
@@ -1,6 +1,6 @@
#!/bin/sh
-GCC=4.9.1
+GCC=5.4.0
BINUTILS=2.24
ARCH=x86
@@ -30,15 +30,15 @@ mkdir build-gcc-$GCC
echo " =>> STARTING BUILD <<="
cd build-binutils-$BINUTILS
../binutils-$BINUTILS/configure --prefix=$PREFIX --target=$TARGET --disable-nls --disable-werror --with-sysroot || exit
-make configure-host || exit
-make all || exit
-make install || exit
+make -j4 configure-host || exit
+make -j4 all || exit
+make -j4 install || exit
export PATH=$PATH:$PREFIX/bin
cd ../build-gcc-$GCC
../gcc-$GCC/configure --prefix=$PREFIX --target=$TARGET --disable-nls --enable-languages=c,c++ --without-headers --disable-werror || exit
-make all-gcc || exit
-make install-gcc || exit
-make all-target-libgcc || exit
-make install-target-libgcc || exit
+make -j4 all-gcc || exit
+make -j4 install-gcc || exit
+make -j4 all-target-libgcc || exit
+make -j4 install-target-libgcc || exit